#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n; cin >> n;
    long long a[n], b;
    long double p[n], z;
    vector<long double> v;
    for(int i=0; i<n; i++)
        cin >> a[i] >> p[i];
    for(int i=0; i<n; i++)
    {
        z=p[i];
        b=0;
        for(int j=0; j<n; j++)
        {
            if(p[j]>=z)
                b+=a[j];
        }
        v.push_back(z*b/100.00);
    }
    cout << fixed << *max_element(v.begin(), v.end());

    return 0;
}